Skip to main content
PATCH
/
candidates
/
{candidate_id}
Update Candidate
curl --request PATCH \
  --url https://api.example.com/candidates/{candidate_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "format_metadata": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "format": "<string>",
  "drug_class": "<string>",
  "format_metadata": {},
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

candidate_id
string<uuid>
required

Body

application/json

Partial update for a therapeutic candidate.

name
string | null
Required string length: 1 - 120
description
string | null
format_metadata
Format Metadata · object

Response

Successful Response

A therapeutic candidate as returned by the API (without variants).

id
string<uuid>
required
project_id
string<uuid>
required
name
string
required
format
string
required
drug_class
string
required
format_metadata
Format Metadata · object
required
description
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required